WScript.Echo("Tworzenie obiektu \"Scripting.Dictionary\"");
var dictionary=new ActiveXObject("Scripting.Dictionary");
WScript.Echo("Dodawanie elementów...");
dictionary.Add("klucz1","element pierwszy");
dictionary.Add("klucz2","element drugi");
dictionary.Add("klucz3","element trzeci");


WScript.Echo("Lista elementów w obiekcie...");
var arrayOfItems;
// pobieramy tablicę elementów w słowniku (dictionary)...
arrayOfItems=(new VBArray(dictionary.Items())).toArray();

// wyprowadzenie listy
for(i in arrayOfItems)
  WScript.Echo("Element " + i + ": " + arrayOfItems[i]);


WScript.Echo("sprawdzenie czy klucz \"klucz1\" istnieje");
// sprawdzenie czy klucz1 istnieje
if(dictionary.Exists("klucz1"))
{
  WScript.Echo("klucz1 istnieje - wartość= " + dictionary.Item("klucz1"));
  // zmiana wartości elementu klucz1
  dictionary.Item("klucz1")="Nowy element";
  WScript.Echo("klucz1 zmieniony - wartość= " + dictionary.Item("klucz1"));
}

WScript.Echo("Próba ponownego dodania klucz1...");
try
{
  dictionary.Add("klucz1","element 4");
}
catch(e)
{
  WScript.Echo("  ** Operacja niedopuszczalna! Błąd: " + e.description);
}

WScript.Echo("Usunięcie i ponowne dodanie \"klucz1\"...");
dictionary.Remove("klucz1");
dictionary.Add("klucz1", "element 4");
WScript.Echo("OK - klucz1 dodany ponownie: wartość= " + dictionary.Item("klucz1"));
